<template>
  <div class="product_details">
    <v-app id="product-card">
      <v-card max-width="344">
        <v-img :src="this.productDetails.product_img" width="100%" height="auto"></v-img>

        <v-card-title>{{ productDetails.product_name }}</v-card-title>

        <v-card-subtitle>{{ productDetails.product_price }} Euros</v-card-subtitle>

        <v-btn icon @click="show = !show">></v-btn>

        <v-expand-transition>
          <div v-show="show">
            <v-divider></v-divider>

            <v-card-text>{{ productDetails.product_description }}</v-card-text>
          </div>
        </v-expand-transition>
      </v-card>
    </v-app>

    <v-app id="shop-card">
      <v-card max-width="500">
        <v-img
          :src="this.shopMiniDetails.shop_img"
          @click="goToThisShopDetails"
          width="100%"
          height="auto"
        ></v-img>
        <v-card-title>{{ shopMiniDetails.shop_name }}</v-card-title>
      </v-card>
    </v-app>
  </div>

  <!-- <div class="product_details">
    <div class="product-box">
      <img :src="this.productDetails.product_img" />
      <h1>{{ productDetails.product_name }}</h1>
      <h1>{{ productDetails.product_price }} Euros</h1>
      <h1>{{ productDetails.product_description }}</h1>
      <h1>{{ productDetails.state }}</h1>
    </div>
    <div class="shop-box">
      <img :src="this.shopMiniDetails.shop_img" @click="goToThisShopDetails" />
      <h1>{{ shopMiniDetails.shop_name }}</h1>
    </div>
  </div>-->
</template>

<script>
export default {
  name: "ShowProductDetails",
  props: {
    productDetails: {
      propType: Object,
      required: true
    },
    shopMiniDetails: {
      propType: Object,
      required: true
    }
  },
  data() {
    return {
      show: false
    };
  },

  methods: {
    goToThisShopDetails() {
      this.$emit("go-to-this-shop-details", this.shopMiniDetails.shop_id);
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.product_details {
  margin-top: 5%;

  display: flex;
  justify-content: space-evenly;
}
v-btn {
  margin-left: 20%;
}
@media only screen and (max-width: 500px) {
  /* For mobile phones: */
  .product_details {
    flex-direction: column;
    margin-top: 10%;
    justify-content: space-between;
    display: block;
    margin-left: auto;
    margin-right: auto;
  }
}
</style>
